<br>

<br><br><br><br>
<p style="font-size: 24px;font-weight: bold;font-family: 'Courier New';padding:25px;">Création de votre compte</p>

<form [formGroup]="contactForm" (ngSubmit)="onSubmit()" style="padding:20px;">

    <table>
        <tr>
            <td><label for="lastName">Nom</label></td>
            <td><input type="text" id="lastName" name="lastName" formControlName="lastName">
                <div *ngIf="contactForm.get('lastName')?.invalid && (contactForm.get('lastName')?.dirty || contactForm.get('lastName')?.touched)">
                    Le lastname est invalide (entre 1000 et 3000)
                </div>
            </td>
        </tr>
        <tr>
            <td><label for="firstName">Prénom</label>
            </td>
            <td><input type="text" id="firstName" name="firstName" formControlName="firstName"></td>
        </tr>

        <tr>
            <td><label for="email">Email</label></td>
            <td><input type="text" id="email" name="email" formControlName="email" size="30">
                <div *ngIf="contactForm.get('email')?.invalid && (contactForm.get('email')?.dirty || contactForm.get('email')?.touched)">
                    Le email est invalide
                </div>
            </td>
        </tr>

        <tr>
            <td><label for="password">Password</label>
            </td>
            <td><input type="text" id="password" name="password" formControlName="password"></td>
        </tr>

        <tr>
            <td><label for="elo">Elo</label></td>
            <td><input type="text" id="elo" name="elo" formControlName="elo">
                <div *ngIf="contactForm.get('elo')?.invalid && (contactForm.get('elo')?.dirty || contactForm.get('elo')?.touched)">
                    L'elo est invalide
                </div>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td><button type="submit" [disabled]="contactForm.invalid">Validation</button></td>
        </tr>
    </table>
</form>